/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.laitspa.cpf.faces.utils.validator;

import com.sun.facelets.FaceletContext;
import com.sun.facelets.tag.TagAttribute;
import com.sun.facelets.tag.jsf.ValidatorConfig;
import javax.faces.application.Application;

/**
 *
 * @author Andrea
 */
public class CodiceIbanValidatorHandler extends CustomValidatorHandler{

    /**
   * 
   */
  private static final long serialVersionUID = 1L;
    private TagAttribute type;
    private TagAttribute messageType;
  
    public CodiceIbanValidatorHandler(ValidatorConfig config) {
        super(config);
        if (this.getAttribute("type") != null)
          type = this.getAttribute("type");  
        if (this.getAttribute("messageType") != null)
          messageType = this.getAttribute("messageType");         
    }

    @Override
    protected CodiceIbanValidator getValidator(FaceletContext ctx) {
        Application app = ctx.getFacesContext().getApplication();
        CodiceIbanValidator validator = (CodiceIbanValidator)
                app.createValidator(CodiceIbanValidator.CODICEIBAN_VALIDATORID);
        
        if(type != null)
          validator.setType(this.type.getValue(ctx));
        if(messageType != null)
          validator.setMessageType(this.messageType.getValue(ctx));        
        
        return validator;
    }

}
